<?php

namespace Drupal\jsonapi_section_components\Plugin\Block;

use Drupal\views\Plugin\Block\ViewsBlock as OriginalViewsBlock;
use Drupal\layout_builder\SectionComponent;
use Drupal\Core\Entity\EntityBase;

/**
 * Provides a generic Views block.
 */
class ViewsBlock extends OriginalViewsBlock implements SectionComponentBlockInterface {

  /**
   * {@inheritdoc}
   */
  public function processSectionComponent(SectionComponent $section_component): array {
    $config = $section_component->get('configuration');
    return $config;
  }

  /**
   * {@inheritdoc}
   */
  public function getResponseEntity(SectionComponent $section_component, EntityBase $content): EntityBase {
    return $content;
  }

}
