<?php

namespace Drupal\jsonapi_section_components\Plugin\Block;

use Drupal\layout_builder\Plugin\Block\FieldBlock as OriginalPluginBlock;
use Drupal\layout_builder\SectionComponent;
use Drupal\Core\Entity\EntityBase;

/**
 * FieldBlock class.
 *
 * This class extends the original FieldBlock class and implements
 * SectionComponentBlockInterface.
 *
 * @package Drupal\jsonapi_section_components\Plugin\Block
 */
class FieldBlock extends OriginalPluginBlock implements SectionComponentBlockInterface {

  /**
   * {@inheritdoc}
   */
  public function processSectionComponent(SectionComponent $section_component): array {
    $config = $section_component->get('configuration');
    return $config;
  }

  /**
   * {@inheritdoc}
   */
  public function getResponseEntity(SectionComponent $section_component, EntityBase $content): EntityBase {
    return $content;
  }

}
